Subject: Re: [PATCH 0/7] Flags and config to sign pushes by default

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Aug 2015 13:34:58 -0700

Dave Borowitz <[email-masked]> writes:

> Slight digression for a question that came up during reworking the
> series: would it be reasonable to rewrite option parsing in
> builtin/send-pack.c to use the options API?

Surely.  The part of the system whose option parsing predates
parse-options may not have been converted to do so yet, but as long
as the result is correct, why not.  After all APIs were invented to
be used.

> That way we can easily
> reuse the option callback from builtin/push.c. (It would have some
> side effects like making --no-* variants work where they did not
> before; I assume that's a good thing, but it's marginally inconsistent
> with some other plumbing commands like receive-pack.)

As long as people are not deliberately feeding --no-something and
relying on it to fail, we'd be ok ;-).